Bug Hunting Session
Bug 108757 - PDF Export of a particular spreadsheet is slower than it has been before
Summary: PDF Export of a particular spreadsheet is slower than it has been before
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, haveBacktrace, perf, regression
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2017-06-25 11:10 UTC by Telesto
Modified: 2019-07-10 02:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Callgrind output from master (8.04 MB, application/x-xz)
2017-06-29 08:16 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-06-25 11:10:59 UTC
Description:
PDF Export is slower as it has been before

Steps to Reproduce:
1. Attachment 134260 [details]
2. Export it with default setting
3. Take notice of the time required 

Actual Results:  
The time required for export is around 110 seconds with LibO6.0.0.0

Expected Results:
LibO 4.4.6.3 requires only 77 seconds
LibO 4.2.0.4 requires just 12 seconds


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 6.0.0.0.alpha0+
Build ID: cb37c5f0f3de7b545231a53d46a5271058af76ad
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-23_06:55:41
Locale: nl-NL (nl_NL); Calc: CL

and in
4.3.0.4

but not in
Versie: 4.2.0.4 
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Buovjaga 2017-06-29 08:16:54 UTC
Created attachment 134373 [details]
Callgrind output from master

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: f808c50c6eece87d515df3b84b1c774395b5d9bc
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 26th 2017
Comment 2 Commit Notification 2017-11-23 21:20:14 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c5a19f9cf98fb2b38ee6b4b35f4074499270353

related tdf#108757 small enhancements for speed up

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Telesto 2017-12-16 14:54:12 UTC
Not perfect, but a lot better (- +/- 40 sec) with
Version: 6.1.0.0.alpha0+
Build ID: cc1db6f2b0ebe05ae807628778835b62df00eca2
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-02_23:45:34
Locale: nl-NL (nl_NL); Calc: CL
Comment 4 Buovjaga 2017-12-16 15:04:37 UTC
(In reply to Telesto from comment #3)
> Not perfect, but a lot better (- +/- 40 sec) with
> Version: 6.1.0.0.alpha0+
> Build ID: cc1db6f2b0ebe05ae807628778835b62df00eca2
> CPU threads: 4; OS: Windows 6.3; UI render: default; 
> TinderBox: Win-x86@42, Branch:master, Time: 2017-12-02_23:45:34
> Locale: nl-NL (nl_NL); Calc: CL

Serge: thanks for your work! Should a new report be opened with more specific goals defined? Or do you want to keep this open?
Comment 5 Buovjaga 2018-07-09 18:17:48 UTC
(In reply to Telesto from comment #0)
> Expected Results:
> LibO 4.4.6.3 requires only 77 seconds
> LibO 4.2.0.4 requires just 12 seconds

For this change, according to Linux 43max repo the blame is
commit e1d50e0e17b758f237190729edca8707ecd2e9d3
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Thu May 28 18:31:27 2015 +0800

    source-hash-9ce7ba209d28cd284ab5ea584bc130d7a081b0f9
    
    commit 9ce7ba209d28cd284ab5ea584bc130d7a081b0f9
    Author:     Kohei Yoshida <kohei.yoshida@collabora.com>
    AuthorDate: Thu Jan 23 14:06:34 2014 -0500
    Commit:     Kohei Yoshida <kohei.yoshida@collabora.com>
    CommitDate: Thu Jan 23 14:12:58 2014 -0500
    
        fdo#73986: Don't forget to receive returned object from for_each.
Comment 6 QA Administrators 2019-07-10 02:53:36 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug